import {FormSchema} from "@/components/Form";

export const createHeaderFormSchema: FormSchema[] = [
  {
    label: '标签类型',
    field: 'labelType',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '衍生标签',
          value: '衍生标签',
        },
        {
          label: '衍生标签',
          value: '衍生标签',
        },
      ],
    },
  },
  {
    label: '标签分层',
    field: 'labelLayered',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '分层',
          value: '分层',
        },
      ],
    },
  },
  {
    label: '配置方式',
    field: 'configWay',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '规则表达式',
          value: '规则表达式',
        },
      ],
    },
  },
  {
    label: '更新频率',
    field: 'labelType',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '随主体更新',
          value: '随主体更新',
        },
      ],
    },
  },
];
export const createBodyFormSchema: FormSchema[] = [
  {
    label: '英文名称',
    field: 'enName',
    component: 'Input',
  },
  {
    label: '逻辑说明',
    field: 'des',
    component: 'Input',
  },
];
